GLS ShipIT 4.0.f7 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Address Class Reference

## Public Member Functions
String | getName1 ()
void | setName1 (String value)
String | getName2 ()
void | setName2 (String value)
String | getName3 ()
void | setName3 (String value)
String | getCountryCode ()
void | setCountryCode (String value)
String | getProvince ()
void | setProvince (String value)
String | getZIPCode ()
void | setZIPCode (String value)
String | getCity ()
void | setCity (String value)
String | getStreet ()
void | setStreet (String value)
String | getStreetNumber ()
void | setStreetNumber (String value)
String | getEmail ()
void | setEmail (String value)
String | getContactPerson ()
void | setContactPerson (String value)
String | getFixedLinePhoneNumber ()
void | setFixedLinePhoneNumber (String value)
String | getMobilePhoneNumber ()
void | setMobilePhoneNumber (String value)

## Protected Attributes
String | name1
String | name2
String | name3
String | countryCode
String | province
String | zipCode
String | city
String | street
String | streetNumber
String | email
String | contactPerson
String | fixedLinePhoneNumber
String | mobilePhoneNumber

## Detailed Description

Address attributes

Java class for Address complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="Address">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="Name1" type="{http://fpcs.gls-group.eu/v1/Common}AddressName"/>
            <element name="Name2" type="{http://fpcs.gls-group.eu/v1/Common}AddressName" minOccurs="0"/>
            <element name="Name3" type="{http://fpcs.gls-group.eu/v1/Common}AddressName" minOccurs="0"/>
            <element name="CountryCode" type="{http://fpcs.gls-group.eu/v1/Common}CountryCode"/>
            <element name="Province" type="{http://fpcs.gls-group.eu/v1/Common}Province" minOccurs="0"/>
            <element name="ZIPCode" type="{http://fpcs.gls-group.eu/v1/Common}ZIPCode" minOccurs="0"/>
            <element name="City" type="{http://fpcs.gls-group.eu/v1/Common}City"/>
            <element name="Street" type="{http://fpcs.gls-group.eu/v1/Common}StreetName"/>
            <element name="StreetNumber" type="{http://fpcs.gls-group.eu/v1/Common}StreetNumber" minOccurs="0"/>
            <element name="Email" type="{http://fpcs.gls-group.eu/v1/Common}eMail" minOccurs="0"/>
            <element name="ContactPerson" type="{http://fpcs.gls-group.eu/v1/Common}ContactPerson" minOccurs="0"/>
            <element name="FixedLinePhoneNumber" type="{http://fpcs.gls-group.eu/v1/Common}FixedLinePhonenumber" minOccurs="0"/>
            <element name="MobilePhoneNumber" type="{http://fpcs.gls-group.eu/v1/Common}MobilePhoneNumber" minOccurs="0"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 60 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/Address.java.

## Member Function Documentation

## ◆ getCity()

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Address.getCity | ( |  | ) |

Gets the value of the city property.

Returns
  possible object is String

Definition at line 241 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/Address.java.

## ◆ getContactPerson()

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Address.getContactPerson | ( |  | ) |

Gets the value of the contactPerson property.

Returns
  possible object is String

Definition at line 337 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/Address.java.

## ◆ getCountryCode()

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Address.getCountryCode | ( |  | ) |

Gets the value of the countryCode property.

Returns
  possible object is String

Definition at line 169 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/Address.java.

## ◆ getEmail()

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Address.getEmail | ( |  | ) |

Gets the value of the email property.

Returns
  possible object is String

Definition at line 313 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/Address.java.

## ◆ getFixedLinePhoneNumber()

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Address.getFixedLinePhoneNumber | ( |  | ) |

Gets the value of the fixedLinePhoneNumber property.

Returns
  possible object is String

Definition at line 361 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/Address.java.

## ◆ getMobilePhoneNumber()

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Address.getMobilePhoneNumber | ( |  | ) |

Gets the value of the mobilePhoneNumber property.

Returns
  possible object is String

Definition at line 385 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/Address.java.

## ◆ getName1()

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Address.getName1 | ( |  | ) |

Gets the value of the name1 property.

Returns
  possible object is String

Definition at line 97 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/Address.java.

## ◆ getName2()

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Address.getName2 | ( |  | ) |

Gets the value of the name2 property.

Returns
  possible object is String

Definition at line 121 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/Address.java.

## ◆ getName3()

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Address.getName3 | ( |  | ) |

Gets the value of the name3 property.

Returns
  possible object is String

Definition at line 145 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/Address.java.

## ◆ getProvince()

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Address.getProvince | ( |  | ) |

Gets the value of the province property.

Returns
  possible object is String

Definition at line 193 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/Address.java.

## ◆ getStreet()

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Address.getStreet | ( |  | ) |

Gets the value of the street property.

Returns
  possible object is String

Definition at line 265 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/Address.java.

## ◆ getStreetNumber()

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Address.getStreetNumber | ( |  | ) |

Gets the value of the streetNumber property.

Returns
  possible object is String

Definition at line 289 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/Address.java.

## ◆ getZIPCode()

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Address.getZIPCode | ( |  | ) |

Gets the value of the zipCode property.

Returns
  possible object is String

Definition at line 217 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/Address.java.

## ◆ setCity()

void eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Address.setCity | ( | String | value | ) |

Sets the value of the city property.

Parameters

  value | allowed object is String

Definition at line 253 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/Address.java.

## ◆ setContactPerson()

void eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Address.setContactPerson | ( | String | value | ) |

Sets the value of the contactPerson property.

Parameters

  value | allowed object is String

Definition at line 349 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/Address.java.

## ◆ setCountryCode()

void eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Address.setCountryCode | ( | String | value | ) |

Sets the value of the countryCode property.

Parameters

  value | allowed object is String

Definition at line 181 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/Address.java.

## ◆ setEmail()

void eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Address.setEmail | ( | String | value | ) |

Sets the value of the email property.

Parameters

  value | allowed object is String

Definition at line 325 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/Address.java.

## ◆ setFixedLinePhoneNumber()

void eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Address.setFixedLinePhoneNumber | ( | String | value | ) |

Sets the value of the fixedLinePhoneNumber property.

Parameters

  value | allowed object is String

Definition at line 373 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/Address.java.

## ◆ setMobilePhoneNumber()

void eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Address.setMobilePhoneNumber | ( | String | value | ) |

Sets the value of the mobilePhoneNumber property.

Parameters

  value | allowed object is String

Definition at line 397 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/Address.java.

## ◆ setName1()

void eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Address.setName1 | ( | String | value | ) |

Sets the value of the name1 property.

Parameters

  value | allowed object is String

Definition at line 109 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/Address.java.

## ◆ setName2()

void eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Address.setName2 | ( | String | value | ) |

Sets the value of the name2 property.

Parameters

  value | allowed object is String

Definition at line 133 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/Address.java.

## ◆ setName3()

void eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Address.setName3 | ( | String | value | ) |

Sets the value of the name3 property.

Parameters

  value | allowed object is String

Definition at line 157 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/Address.java.

## ◆ setProvince()

void eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Address.setProvince | ( | String | value | ) |

Sets the value of the province property.

Parameters

  value | allowed object is String

Definition at line 205 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/Address.java.

## ◆ setStreet()

void eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Address.setStreet | ( | String | value | ) |

Sets the value of the street property.

Parameters

  value | allowed object is String

Definition at line 277 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/Address.java.

## ◆ setStreetNumber()

void eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Address.setStreetNumber | ( | String | value | ) |

Sets the value of the streetNumber property.

Parameters

  value | allowed object is String

Definition at line 301 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/Address.java.

## ◆ setZIPCode()

void eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Address.setZIPCode | ( | String | value | ) |

Sets the value of the zipCode property.

Parameters

  value | allowed object is String

Definition at line 229 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/Address.java.

## Member Data Documentation

## ◆ city

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Address.city
| protected

Definition at line 75 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/Address.java.

## ◆ contactPerson

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Address.contactPerson
| protected

Definition at line 83 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/Address.java.

## ◆ countryCode

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Address.countryCode
| protected

Definition at line 69 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/Address.java.

## ◆ email

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Address.email
| protected

Definition at line 81 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/Address.java.

## ◆ fixedLinePhoneNumber

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Address.fixedLinePhoneNumber
| protected

Definition at line 85 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/Address.java.

## ◆ mobilePhoneNumber

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Address.mobilePhoneNumber
| protected

Definition at line 87 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/Address.java.

## ◆ name1

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Address.name1
| protected

Definition at line 63 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/Address.java.

## ◆ name2

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Address.name2
| protected

Definition at line 65 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/Address.java.

## ◆ name3

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Address.name3
| protected

Definition at line 67 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/Address.java.

## ◆ province

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Address.province
| protected

Definition at line 71 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/Address.java.

## ◆ street

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Address.street
| protected

Definition at line 77 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/Address.java.

## ◆ streetNumber

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Address.streetNumber
| protected

Definition at line 79 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/Address.java.

## ◆ zipCode

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Address.zipCode
| protected

Definition at line 73 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/Address.java.

The documentation for this class was generated from the following file:

- glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/Address.java